<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="save_graph" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>save_graph</refname>

    <refpurpose>sauve un graphe</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>save_graph(g,chemin)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Paramètres</title>

    <variablelist>
      <varlistentry>
        <term>g</term>

        <listitem>
          <para>graphe (liste)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>chemin</term>

        <listitem>
          <para>chaîne de caractères, nom de fichier </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>save_graph</literal> sauve le graphe <literal>g</literal>
    dans un fichier. <literal>chemin</literal> est le nom du fichier où le
    graphe est sauvé. <literal>chemin</literal> peut être le nom du fichier ou
    le nom d'un répertoire; si l'extension <literal>"graph"</literal> est
    omise dans <literal>name</literal>, elle est ajoutée. Si
    <literal>chemin</literal> est le nom d'un répertoire, le nom du graphe est
    utilisé comme nom de fichier.</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example"><![CDATA[ 
g=load_graph(metanet_module_path()+'/demos/mesh100.graph');
show_graph(g);
save_graph(g,'mymesh100.graph');
g=load_graph('mymesh100.graph');
show_graph(g,'new');
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Voir Aussi</title>

    <simplelist type="inline">
      <member><link linkend="load_graph">load_graph</link></member>
    </simplelist>
  </refsection>
</refentry>
